#ifndef COLOR_H
#define COLOR_H

#include <stddef.h> /* for size_t */

struct color_ctrl_page;

int set_color_page_info(struct color_ctrl_page*);

struct color_ctrl_page *get_color_ctrl(void);
void* color_malloc(size_t size,void *address);

int read_int_from_file(char *file);
int cache_params_okay(void);
int get_page_size(void);
int get_line_size(void);

#endif
